Bug 185228 - rpmlint gives false E: xxx-devel only-non-binary-in-usr-lib on -devel packages on x86_64
Summary: rpmlint gives false E: xxx-devel only-non-binary-in-usr-lib on -devel package...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmlint   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-12 07:49 UTC by Hans de Goede
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 0.76-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-11 18:24:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix (1008 bytes, patch)
2006-03-12 09:39 UTC, Ville Skyttä
no flags Details | Diff

Description Hans de Goede 2006-03-12 07:49:02 UTC
Run rpmlint on a -devel rpm which only contains a .so symlink in /usr/lib64 it
will give:
E: xxx-devel only-non-binary-in-usr-lib

This only happens on x86_64.

Example:
[hans@shalem ~]$ rpmlint libFS-devel-1.0.0-2.2.x86_64.rpm 
W: libFS-devel invalid-license MIT/X11
E: libFS-devel obsolete-not-provided XFree86-devel
E: libFS-devel obsolete-not-provided xorg-x11-devel
E: libFS-devel useless-explicit-provides libFS-devel
E: libFS-devel only-non-binary-in-usr-lib

I no bad example, but this happens with others too.





Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Ville Skyttä 2006-03-12 09:39:46 UTC
Created attachment 126005 [details]
Fix

I've committed the attached fix to upstream CVS, it will be included in the
next rpmlint package revision.

Comment 2 Ville Skyttä 2006-04-11 18:24:26 UTC
Done in 0.76-1.


Note You need to log in before you can comment on or make changes to this bug.